subdivision3d {rgl} | R Documentation

## generic subdivision surface method

### Description

The Subdivision surface algorithm divide and refine (deform) a given mesh recursively to certain degree (depth). The mesh3d algorithm consists of two stages: divide and deform. The divide step generates for each triangle or quad four new triangles or quads, the deform step drags the points (refinement step).

### Usage

      subdivision3d( x,  ...)
      ## S3 method for class 'mesh3d'
    subdivision3d( x, depth = 1, normalize = FALSE, deform = TRUE, ... )
      divide.mesh3d(mesh,  vb = mesh$vb, ib = mesh$ib, it = mesh$it )
      normalize.mesh3d(mesh)
      deform.mesh3d(mesh, vb = mesh$vb, ib = mesh$ib, it = mesh$it )

### Arguments

`x` | 3d geometry mesh
`mesh` | 3d geometry mesh
`depth` | recursion depth
`normalize` | normalize mesh3d coordinates after division if `deform` is `TRUE`
`deform` | deform mesh
`it` | indices for triangular faces
`ib` | indices for quad faces
`vb` | matrix of vertices: 4xn matrix (rows x, y, z, h) or equivalent vector, where h indicates scaling of each plotted quad
`...` | other arguments (unused)

### Details

Generic subdivision surface method. Currently there exists an algorithm that can be applied on mesh3d objects.

### See Also

`r3d` `mesh3d`

### Examples

      open3d()
      shade3d( subdivision3d( cube3d(), depth = 3 ), color = "red", alpha = 0.5 )

[Package rgl version 0.95.1441 Index]